package soln;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Scanner;
import helper.Helper;
import helper.VendingMachine;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check11J {

	public static void main(String[] args) throws FileNotFoundException {

		// Step 1a. Create a VendingMachine object called
		// vendingMachine.
		// public VendingMachine()
		// Use the default constructor in the VendingMachine API.
		// To find the VendingMachine API, open the index.html file that is
		// found in
		// this project under the package called doc. Please note the
		// VendingMachine
		// API has changed since previous use.
		VendingMachine vendingMachine = new VendingMachine();

		// Step 1b. Create a File object called file.
		// public File(String filename)
		// Set the filename to be "pop". This file already exists in the labtest
		// directory and we want to be able to read from it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		File file = new File("pop");

		// Step 1c. Create a Scanner object called inputFile.
		// public Scanner(File file)
		// Set the file a parameter to the file created in the step above.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		Scanner inputFile = new Scanner(file);

		// Step 1d. Create a new int variable called cansOfPop and set it to 0.
		int cansOfPop = 0;

		// Step 1e. The file "pop" lists a set of integer values.
		// Use the Scanner inputFile to read the values from the
		// file and add all the values to cansOfPop. At the end of reading the
		// file, the value of cansOfPop should be the sum of the integers in the
		// file.
		// Refer to section 5.2.3 (Page 200 2ed and Page 199 3ed)
		for (; inputFile.hasNext();)
			cansOfPop = cansOfPop + inputFile.nextInt();

		// Step 1f. Look at the VendingMachine API for the method
		// called addACanOfPop().
		// Create a for loop that will add cans of pop, one at a time, until
		// all cans of pop specified by the variable cansOfPop have been added
		// to the vendingMachine.
		// For reference look at page
		// section 5.2.3 (Page 192 2ed and Page 191
		// 3ed)
		for (int i = 0; i < cansOfPop; i++)
			vendingMachine.addACanOfPop();

		// Step 1g. We will no longer be using input from the file pop.
		// Use the method close on the Scanner inputFile to close access
		// to the file.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		inputFile.close();

		// Step 1h. We would now like to store some information about the
		// vending machine in a file called "results".
		// Create a new File object
		// public File(String fileName)
		// The filename should be the string "results".
		file = new File("results");

		// Step 1i. In order to write to the file we have create a PrintStream.
		// public PrintStream(File file)
		// The PrintStream names output and you should supply the file
		// in step h to it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		PrintStream output = new PrintStream(file);

		// Step 1j. PrintStream has a method called that works just like
		// the println method of System.out
		// Use the method to write the title of the file
		// The title of the file is "Contents of Vending Machine:"
		output.println("Contents of Vending Machine:");

		// Step 1k. The vending machine class has the following to methods
		// public double getPriceOfPop()
		// public int getCansOfPop()
		// public double getTotalValueOfVendingMachine()
		// Read the API to get familiar with these methods.
		// Write the following messages to the file results
		// "The price of a pop is " followed by the price of a pop.
		// "There are " followed by the number of CansOfPop in the vending
		// machine
		// followed by the string " cans of Pop in the vending machine".
		// And
		// "The total value of the vending machine is " followed by the total
		// value of the Vending Machine
		output.println("There are " + vendingMachine.getCansOfPop()
				+ " cans of Pop in the vending machine.");
		output.println("The value of the vending machine is: "
				+ vendingMachine.getTotalValueOfVendingMachine());

		// Step 1l. We will no longer be writing to the file results.
		// Use the method close on the PrintStream outputFile to close access
		// to the file.
		output.close();

		// Note: If you run this app repeatedly, the file "results" will be
		// rewritten and Eclipse will deem the file "out of sync"
		// To fix this, select the file (click once to turn it blue), then press
		// F5 or File->Refresh

		// Step 1m. Answer the written comprehension question that is found in
		// the file Check10K.txt. It is listed in this project as the last
		// entry as "Check10K".

		// Step 1n. Complete Check11L.java
	}
}
